# API 参考

- [event（事件）](https://developer.eagle.cool/plugin-api/zh-cn/api/event.md): 你可以根据需要，事先定义好一些回调函数，Eagle 会在事件产生时主动调用它们。
- [item（项目）](https://developer.eagle.cool/plugin-api/zh-cn/api/item.md): 透过 eagle.item API 可以方便的查询当前资源库内容或添加新的内容到资源库中。
- [folder（文件夾）](https://developer.eagle.cool/plugin-api/zh-cn/api/folder.md): 透过 eagle.folder API 可以方便的建立新的文件夹或者存取当前应用中的文件夹，。
- [smartFolder（智能文件夹）](https://developer.eagle.cool/plugin-api/zh-cn/api/smart-folder.md): 通过 eagle.smartFolder API 可以方便地创建、查询、修改及删除智能文件夹。
- [tag（标签）](https://developer.eagle.cool/plugin-api/zh-cn/api/tag.md): 透过 eagle.tag API 可以方便存取当前应用中的标签。
- [tagGroup（标签群组）](https://developer.eagle.cool/plugin-api/zh-cn/api/tag-group.md): 透过 eagle.tagGroup API 可以方便存取当前应用中的标签群组。
- [library（资源库）](https://developer.eagle.cool/plugin-api/zh-cn/api/library.md): 取得当前 Eagle 正在使用的资源库信息。
- [window（窗口）](https://developer.eagle.cool/plugin-api/zh-cn/api/window.md): 控制插件窗口显示、隐藏、全屏幕等各种操作。
- [app（应用）](https://developer.eagle.cool/plugin-api/zh-cn/api/app.md): 获取 Eagle 应用程序版本、架构、语系等属性。
- [os（操作系统）](https://developer.eagle.cool/plugin-api/zh-cn/api/os.md): 与 Node.js 中的 os 模块类似，提供了一些基本的系统操作函数。
- [screen（屏幕）](https://developer.eagle.cool/plugin-api/zh-cn/api/screen.md): 取得屏幕大小、显示器、光标位置等的信息。
- [notification（通知）](https://developer.eagle.cool/plugin-api/zh-cn/api/notification.md): 在屏幕角落跳出提视窗口，提示用户操作状态。
- [contextMenu（右鍵菜單）](https://developer.eagle.cool/plugin-api/zh-cn/api/context-menu.md): 创建系统原生应用右键菜单。
- [dialog（对话框）](https://developer.eagle.cool/plugin-api/zh-cn/api/dialog.md): 跳出系统对话框功能，包含打开、保存文件、提示、警报等。
- [clipboard（剪贴板）](https://developer.eagle.cool/plugin-api/zh-cn/api/clipboard.md): 在系统剪贴板上执行复制和粘贴操作。
- [drag（拖拽文件）](https://developer.eagle.cool/plugin-api/zh-cn/api/drag.md): 实现原生系统文件拖放功能。
- [shell（壳）](https://developer.eagle.cool/plugin-api/zh-cn/api/shell.md): 使用默认应用程序管理文件和 URL。
- [log（日志）](https://developer.eagle.cool/plugin-api/zh-cn/api/log.md): 在 Eagle 软件日志记录特定信息，以利开发中的调试、除错。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-cn/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
